Subject: bug#43165: [PATCH] Add load this file lisp function.

From: Stefan Kangas <[email-masked]>
Date: Thu, 3 Sep 2020 20:28:02 +0000

Drew Adams <[email-masked]> writes:

>> Just do: `M-x load-file RET M-n RET'
>
> I was going to say this yesterday, when I saw
> the enhancement request.
>
> Just do: `M-x load-file RET RET'.  No need for
> `M-n'.

I agree that we should not add this.  Or we would start adding '-this-'
versions for every command that asks for a file.  (Can we see some hands
for `M-x find-this-file'? ;-))

But it depends also on your completion framework, which might be the
motivation behind this request.  Ivy helpfully suggests to load the
current directory "." in this case, for example.  But that's a bug
report for the Ivy developers to handle (or maybe my messed up
configuration).